Debian Bug report logs - #727510
sqlite: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4

version graph

Package: src:sqlite; Maintainer for src:sqlite is Laszlo Boszormenyi (GCS) <gcs@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 23 Oct 2013 23:31:25 UTC

Severity: normal

Found in version sqlite/2.8.17-9fakesync1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
Bug#727510; Package src:sqlite. (Wed, 23 Oct 2013 23:31:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>. (Wed, 23 Oct 2013 23:31:30 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: sqlite: update config.{sub,guess} for the AArch64 port
Date: Wed, 23 Oct 2013 23:13:58 +0000
Package: src:sqlite
Version: 2.8.17-9fakesync1
Severity: normal
User: debian-arm@lists.debian.org
Usertags: arm64

The package fails to build on arm64 (aarch64-linux-gnu), because the
config.{guess,sub} files are out of date, and are not updated during
the build.  If possible, please do not update these files directly,
but build-depend on autotools-dev instead, and use the tools provided
by autotools-dev to update these files.

  - For dh, call dh --with autotools_dev (yes, underscore).

  - For other rules files, call dh_autotools-dev_updateconfig before
    calling configure (in the build or configure target), and call
    dh_autotools-dev_restoreconfig before calling dh_clean in the clean
    target.

After the build on any architecture, and before a clean, a grep for
aarch64 in the config.sub file(s) should print some lines.

The full build log can be found at:
http://people.debian.org/~doko/logs/arm64-20131023/logs/buildlog_ubuntu-trusty-arm64.sqlite_2.8.17-9fakesync1_FAILEDTOBUILD.txt
The last lines of the build log are at the end of this report.

Please note that these build were done in an Ubuntu development,
environment there may be a few false positives in these bug reports.

[...]
ac_ct_AR=''
ac_ct_CC=''
ac_ct_CXX=''
ac_ct_F77=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
bindir='${exec_prefix}/bin'
build='aarch64-linux-gnu'
build_alias='aarch64-linux-gnu'
build_cpu=''
build_os=''
build_vendor=''
datadir='${prefix}/share'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
includedir='${prefix}/include'
infodir='${prefix}/share/info'
libdir='${exec_prefix}/lib'
libexecdir='${prefix}/lib/sqlite'
localstatedir='/var'
mandir='${prefix}/share/man'
oldincludedir='/usr/include'
prefix='/usr'
program_prefix='NONE'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""

configure: exit 1
dh_auto_configure: ./configure --build=aarch64-linux-gnu --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/sqlite --disable-maintainer-mode --disable-dependency-tracking config_TARGET_TCL_INC=-I/usr/include/tcl8.5 config_BUILD_CFLAGS= -DTHREADSAFE=1 config_TARGET_LIBS=-ltcl8.5 -lpthread --enable-utf8 returned exit code 1
make[1]: *** [override_dh_auto_configure] Error 25
make[1]: Leaving directory `/build/buildd/sqlite-2.8.17'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2



Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.org>:
Bug#727510; Package src:sqlite. (Sun, 05 Jan 2014 22:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>. (Sun, 05 Jan 2014 22:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 727510@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 727510@bugs.debian.org
Subject: sqlite: update config.{sub,guess} for the arm64 port
Date: Sun, 5 Jan 2014 22:05:21 +0000
[Message part 1 (text/plain, inline)]
Here is a specific, tested, patch implementing the use of the dh_autotools-dev helpers for this package.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[sqlite_2.8.17-9-config-update.patch (text/x-diff, attachment)]

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
You have taken responsibility. (Mon, 06 Jan 2014 21:24:18 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Mon, 06 Jan 2014 21:24:18 GMT) Full text and rfc822 format available.

Message #15 received at 727510-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.org>
To: 727510-close@bugs.debian.org
Subject: Bug#727510: fixed in sqlite 2.8.17-10
Date: Mon, 06 Jan 2014 21:21:17 +0000
Source: sqlite
Source-Version: 2.8.17-10

We believe that the bug you reported is fixed in the latest version of
sqlite, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727510@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.org> (supplier of updated sqlite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 Jan 2014 15:07:43 +0000
Source: sqlite
Binary: sqlite sqlite-doc libsqlite0 libsqlite0-dev libsqlite-tcl
Architecture: source amd64 all
Version: 2.8.17-10
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Description: 
 libsqlite-tcl - SQLite Tcl bindings
 libsqlite0 - SQLite shared library
 libsqlite0-dev - SQLite development files
 sqlite     - command line interface for SQLite
 sqlite-doc - SQLite documentation
Closes: 727510
Changes: 
 sqlite (2.8.17-10) unstable; urgency=low
 .
   * Update Standards-Version to 3.9.5 .
 .
   [ Wookey <wookey@debian.org> ]
   * Update config.{sub.guess} automatically (closes: #727510).
Checksums-Sha1: 
 34334b35c2671d93516b1b927d9eb192baec5830 1955 sqlite_2.8.17-10.dsc
 e33f4a25a058889ba8f0d7046c69cbd94985c102 8446 sqlite_2.8.17-10.debian.tar.gz
 156ab601bf64fee45e5c860f5f1a1ef0325313d9 19046 sqlite_2.8.17-10_amd64.deb
 f28c0b83d44feccf1059f66695bb7fd70cec0e27 135686 sqlite-doc_2.8.17-10_all.deb
 9ab129ea75d16e1ce686e90748edad129bfacc94 139338 libsqlite0_2.8.17-10_amd64.deb
 0c532a2d64927c23ab86034762b19725cd19900a 159586 libsqlite0-dev_2.8.17-10_amd64.deb
 8af231fc29c0035e687b14cf79caac84ec330463 12076 libsqlite-tcl_2.8.17-10_amd64.deb
Checksums-Sha256: 
 7d4e507a60d2d3e9c07f98229b5827a0242aca9bce930fb611ca0a786a8eac0b 1955 sqlite_2.8.17-10.dsc
 1b6422387ea89b4f1fb736130d70d51e8ff45bc449ad3f7459365b8831afa575 8446 sqlite_2.8.17-10.debian.tar.gz
 a4ea6c1947b9296865902ea8a3cbbfdac94cb5f7c62ba123cdc4100bd75ea2cb 19046 sqlite_2.8.17-10_amd64.deb
 1a5ed94d03676d375b3387349c200d4430a46529793fe8347f0d45c637b5da05 135686 sqlite-doc_2.8.17-10_all.deb
 ce4a82a343456f0cc575a99c24605603143dea2de2b1bf3f23b8f32147638fb9 139338 libsqlite0_2.8.17-10_amd64.deb
 cc800172b30e5f787a4b752f3c359ee226cf7edbd8aa87c8fe126a1a43866851 159586 libsqlite0-dev_2.8.17-10_amd64.deb
 ed96f5239f2e8b8515a0cdaed1d7c78be8b6f06a5f8841c6bda294f358045012 12076 libsqlite-tcl_2.8.17-10_amd64.deb
Files: 
 d840421ded36d439030ee81695dab38d 1955 devel optional sqlite_2.8.17-10.dsc
 ea898ddb47de952fda5750895b5f0b27 8446 devel optional sqlite_2.8.17-10.debian.tar.gz
 9ebdfdd9afc066ffb7e32d293c286518 19046 database optional sqlite_2.8.17-10_amd64.deb
 dc6896e33b4fe90c4e732e33464e23eb 135686 doc optional sqlite-doc_2.8.17-10_all.deb
 2e7bc779d128898d2b228375ea69519f 139338 libs optional libsqlite0_2.8.17-10_amd64.deb
 498e8fc3423c4f24b4cd415a3a7750ca 159586 libdevel optional libsqlite0-dev_2.8.17-10_amd64.deb
 22257f746c7d072423cd250f62ffc33a 12076 interpreters optional libsqlite-tcl_2.8.17-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSyxneAAoJENzjEOeGTMi/b00P/04Tntl0FG4pHjqfL32mjZ0P
u0Q614sxbrvAvLcZPORquiAq1V38nTAm+Bow56j4QSpQKtPY3wFqbQAebebMc1j2
PR8pdoAVsN4S1x1KpsnoZENjorpp2OmvBa5DuxK0XyRMhloO+fyJS3ba+zzwI2EW
Mz7cp+W4PfdxlHepMpapHRQ2HTX3U+989p74R/hQCdCKXY1BcgzpGn/ctoX0K9Rf
/rtq0bo9q9o+0tDHiAoXQmVkZINLMSQ0gQdKjSTJRc8HhQHOBLlpf0tOF1s7cu9v
kJCGCtY+7wKLl5ftMjh3RTgZxe46JWAy5mNKQmSMEPBErL8IQw19GwW18pRH6unS
Qu+DJC43XiyuzUIOSxOacLLvY1AtcZJQF8A0CiU5pnWL0/uBL6R4ce+V/UauiWIg
SrsP0YyuELOl18Fh/VPFo9oAQt5AcnZMxYrdwqYnbdYjSigu+LGRgGNesShE8D3L
W1m7rTlK9+Rdg93K49RVl4bST60zo04npxPj1qCO7ehkngHiWqD6JuITS9EbxqzS
2P+WREJVGii2Sy6JXPrdrDQGsGB47PcaCUiTUOIMTlVJtEBzxI2v/Q0jr8T7oDgV
SoQNTX9LGgyR5DApO8nU5LXn+atLFwlM9GXwMKFtmFD0c6B4FtBEnk5FlgqH3NID
8VSYj72697ViQaMux5UA
=2fIc
-----END PGP SIGNATURE-----




Information stored :
Bug#727510; Package src:sqlite. (Tue, 21 Jan 2014 12:04:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 21 Jan 2014 12:04:23 GMT) Full text and rfc822 format available.

Message #20 received at 727510-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 727510-quiet@bugs.debian.org
Subject: reuse this issue for the more general solution to use dh-autoreconf
Date: Tue, 21 Jan 2014 11:47:59 +0000
Control: retitle -1 sqlite: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4
Control: reopen -1

Reopening and Reusing this report for the more general solution to also
update the libtool.m4 and/or aclocal.m4 files, needed for the port
mentioned in bug #726404.

See https://wiki.debian.org/qa.debian.org/FTBFS for a guide how to
address these.

Please ignore this email if the libtool.m4/aclocal.m4 update is not
needed, and updating the config.{guess,sub} files is sufficient.



Changed Bug title to 'sqlite: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4' from 'sqlite: update config.{sub,guess} for the AArch64 port' Request was from Matthias Klose <doko@debian.org> to 727510-quiet@bugs.debian.org. (Tue, 21 Jan 2014 12:04:23 GMT) Full text and rfc822 format available.

Bug reopened Request was from Matthias Klose <doko@debian.org> to 727510-quiet@bugs.debian.org. (Tue, 21 Jan 2014 12:04:24 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions sqlite/2.8.17-10. Request was from Matthias Klose <doko@debian.org> to 727510-quiet@bugs.debian.org. (Tue, 21 Jan 2014 12:04:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:25:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.